Export P32 for a tax year with cumulative totals
curl --request GET \
--url https://api.example.com/gb/organizations/{organization_id}/p32/{tax_year}/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/gb/organizations/{organization_id}/p32/{tax_year}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/gb/organizations/{organization_id}/p32/{tax_year}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tax_year": 123,
"months": [
{
"tax_year": 123,
"tax_month": 123,
"cumulative_gross_liability": "<string>",
"cumulative_net_payable": "<string>",
"gross_liability": "<string>",
"total_reclaims": "<string>",
"net_payable": "<string>",
"ea_balance_carried_forward": "<string>",
"surplus_carried_forward": "<string>",
"income_tax_paye": "0",
"student_loan_plan1": "0",
"student_loan_plan2": "0",
"student_loan_plan4": "0",
"student_loan_pg": "0",
"employee_nic": "0",
"employer_nic": "0",
"class_1a_nic": "0",
"smp": "0",
"spp": "0",
"sap": "0",
"shpp": "0",
"spbp": "0",
"sncp": "0",
"nic_compensation": "0",
"cis": "0",
"employment_allowance_applied": "0",
"apprenticeship_levy": "0",
"ea_balance_brought_forward": "0",
"surplus_brought_forward": "0"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Payments
Export P32 for a tax year with cumulative totals
Returns all available months with running cumulative sums. Suitable for PDF/Excel generation.
GET
/
gb
/
organizations
/
{organization_id}
/
p32
/
{tax_year}
/
export
Export P32 for a tax year with cumulative totals
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Was this page helpful?
⌘I